Package com.google.android.exoplayer2.upstream.cache

## Class CacheDataSink.CacheDataSinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.cache.Cache.CacheException
        - - com.google.android.exoplayer2.upstream.cache.CacheDataSink.CacheDataSinkException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    CacheDataSink

      public static final class CacheDataSink.CacheDataSinkException
      extends Cache.CacheException

  Thrown when an `IOException` is encountered when writing data to the sink.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheDataSinkException​(IOException cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheDataSinkException

          public CacheDataSinkException​(IOException cause)